Bug 537046 - memcached-devel does not require base package
Summary: memcached-devel does not require base package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: memcached
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Paul Lindner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-12 10:16 UTC by Jeroen van Meeuwen
Modified: 2009-12-11 18:33 UTC (History)
3 users (show)

Fixed In Version: 1.4.4-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-11 18:33:41 UTC
Type: ---


Attachments (Terms of Use)

Description Jeroen van Meeuwen 2009-11-12 10:16:08 UTC
Description of problem:

memcached-devel does not require base package

Version-Release number of selected component (if applicable):

memcached-1.4.1-1.fc12.x86_64


Steps to Reproduce:
1. yum -y install memcached-devel

Comment 1 Paul Lindner 2009-11-15 09:26:30 UTC
hmm, I don't see why the devel package requires the base memcached package.

Right now there's only one include file:

/usr/include/memcached/protocol_binary.h

not much to write home about...

Comment 2 Jeroen van Meeuwen 2009-11-15 10:28:54 UTC
Sometimes, you need the -devel package to include a .h file but chances are you also need the actual library to build a program. It's a packaging requirement (see guidelines) that the -devel subpackage always requires the base package

Comment 3 Paul Lindner 2009-11-16 08:50:23 UTC
fix checked into 1.4.3-1 version.

Comment 4 Bug Zapper 2009-11-16 15:27:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Jeroen van Meeuwen 2009-11-21 16:32:24 UTC
Error in requirement:

memcached = %{epoch}:1.4.3-1.fc13 is needed by memcached-devel-1.4.3-1.fc13.x86_64

Comment 6 Fedora Update System 2009-11-24 08:31:35 UTC
memcached-1.4.3-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/memcached-1.4.3-1.fc12

Comment 7 Fedora Update System 2009-11-25 15:32:06 UTC
memcached-1.4.3-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update memcached'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12185

Comment 8 Fedora Update System 2009-11-28 11:51:10 UTC
memcached-1.4.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/memcached-1.4.4-1.fc12

Comment 9 Fedora Update System 2009-12-01 04:31:43 UTC
memcached-1.4.4-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update memcached'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12406

Comment 10 Fedora Update System 2009-12-11 18:33:32 UTC
memcached-1.4.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.